﻿import json
import datetime
import requests
import psycopg2
import logging
from lib3 import function_insert

if __name__ == "__main__":
    logging.basicConfig(level=logging.INFO, filename="db_log1.log", filemode="a", format="%(asctime)s %(levelname)s %(message)s")
    try:
        now = datetime.datetime.now()
        date_time = now.strftime("%Y-%m-%d %H:%M:%S")
        funcdate = date_time
        function_insert.insertavghour('averobo','averobo', '*****','localhost', 'table_with_time', 'half_path', funcdate)
        function_insert.insertmaxhour('averobo','averobo', '*****','localhost', 'table_with_time', funcdate)
        function_insert.insertminhour('averobo','averobo', '*****','localhost', 'table_with_time', funcdate)
        logging.info("Everything is good in hours")
    except:
        logging.error("Something went wrong in hours:", exc_info=True)
